<template>
  <div class="p-5 my-5 mx-auto border-solid border-4 border-light-blue">
    <div v-if="tweet"> {{tweet.tweet}} </div>
    <div v-else> {{defaultTweet.tweet}}</div>
    <div>Tweet By: {{ tweet.user.username }}</div>
  </div>
</template>

<script>
export default {
  name:'Tweet',
  data() {
    return {
     defaultTweet: { id: 999, tweet: 'Some Random tweet text' }
    }
  },
  props: {
    tweet: Object,
  },
}
</script>

<style>

</style>
